extern crate pbr;
extern crate yansi;
extern crate walkdir;


use walkdir::WalkDir;
use std::process::{Command, Stdio, exit};

fn main() {
    let mut services = WalkDir::new("/etc/rvn")
		.into_iter()
    	.filter_map(|x| x.ok())
    	.filter(|x| !x.path().is_dir())
    	.collect::<Vec<_>>();

    services.sort_unstable_by(|a, b| a.path().display().to_string().cmp(&b.path().display().to_string()));
    services.iter().for_each(|x| println!("{}", x.path().display()));


}
